.product-recommendations {
  display: block;
}

.product-recommendations__heading:not(.heading-button-style) {
  margin: 0 0 3rem;
}
.heading-button-style,
product-recommendations:has( > .heading-button-style) ul.product-grid{
  margin: 0;
}

product-recommendations .heading-button-style{
  margin-bottom: 1rem;
}


